Subject: [Diffserv] Incompatibility between Diffserv and PPP based tunneling protocols

From: "Rajesh Sundaram" <[email-masked]>
Date: Wed, 10 May 2000 16:32:33 -0700

Folks,

There seems to be an incompatibility between tunneling protocols that
encapsulate PPP (like L2TP and PPTP) and Diffserv PHBs. 

Let's assume that there are two micro-flows of traffic within a single
L2TP tunnel, marked for different PHBs. The DSCP mark has to be
propagated from the original packet to the tunneled header at tunnel
ingress (as per section 2.5 of EF PHB). The restrictions on packet
re-order apply only to a packets belonging to a micro flow within a
particular PHB class. So, it is possible for packets belonging to
different PHBs to get re-ordered by DS aware nodes en-route to tunnel
egress. 

This re-ordering breaks PPTP and L2TP. PPTP is required to discard
re-ordered packets in order to maintain the ordering semantics of PPP.
L2TP allows for the receiver to restore the original sequence of
re-ordered packets, but doing this negates the benefits of the PHB,
since the packet will potentially remain in the receiver's tunnel buffer
for a long time. 

One way of solving this problem is to create multiple L2TP or PPTP
sessions and by dedicating one PHB for each session. Since both L2TP and
PPTP allow re-ordering across sessions, the packet re-order problem is
not as nasty.

Any suggestions on how this incompatibility can be addressed ?

Thanks,
Rajesh.

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 10 May 2000 18:05:24 -0700

It isn't always the case that the outer DSCP (carried in the tunneling
IP header) has to be copied from the DSCP of the IP packet being
tunneled. In this case, when reordering of the tunnel's contents is
a bad thing, the tunneling header ought to be given some relatively
fixed DSCP (one that ensures 'appropriate' QoS across the tunnel's
length). This would ensure that the aggregate of all traffic
going through the tunnel is treated as a single non-reorderable 'flow'
by the DS routers along the tunnel's path.

cheers,
gja

> Rajesh Sundaram wrote:
> Let's assume that there are two micro-flows of traffic within a single L2TP
> tunnel, marked for different PHBs. The DSCP mark has to be propagated from the
> original packet to the tunneled header at tunnel ingress (as per section 2.5
> of EF PHB). The restrictions on packet re-order apply only to a packets
> belonging to a micro flow within a particular PHB class. So, it is possible
> for packets belonging to different PHBs to get re-ordered by DS aware nodes
> en-route to tunnel egress.
> 
> This re-ordering breaks PPTP and L2TP. PPTP is required to discard re-ordered
> packets in order to maintain the ordering semantics of PPP. L2TP allows for
> the receiver to restore the original sequence of re-ordered packets, but doing
> this negates the benefits of the PHB, since the packet will potentially remain
> in the receiver's tunnel buffer for a long time.
> 
> One way of solving this problem is to create multiple L2TP or PPTP sessions
> and by dedicating one PHB for each session. Since both L2TP and PPTP allow
> re-ordering across sessions, the packet re-order problem is not as nasty.
> 

-- 
________________________________________________________________________
Grenville Armitage                    http://members.home.net/garmitage/
Bell Labs Research Silicon Valley

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/